/* File:    Blinky_gcc_as.S
 *
 * Author:  David Zemon
 * Project: Blinky_gcc
 */

#include <bit_expansion.h>
#define LED_2		BIT_23
#define CLKFREQ		80000000

				.section .cogblinky, "ax"	'' Label this as the function pointer "_load_start_cogblinky"
				.cog_ram					'' Negate need for "mova" instructions

entry			or dira, led
				mov outa, led
				mov time, cnt
				add time, delay

.loop			xor outa, led
				waitcnt time, delay
				jmp #.loop


led				long	LED_2
delay			long	CLKFREQ / 2
time			res		1
